GNU bug report logs - #25126
nndir reacts poorly to email flags being changed behind its back

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel Colascione <dancol@HIDDEN>; dated Tue, 6 Dec 2016 20:15:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 30 Sep 2019 05:49:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 30 01:49:45 2019
Received: from localhost ([127.0.0.1]:56559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iEoZ7-0000OT-2T
	for submit <at> debbugs.gnu.org; Mon, 30 Sep 2019 01:49:45 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iEoZ4-0000OJ-K8
 for 25126 <at> debbugs.gnu.org; Mon, 30 Sep 2019 01:49:43 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iEoZ1-0003ch-F3; Mon, 30 Sep 2019 07:49:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eric Abrahamsen <eric@HIDDEN>
Subject: Re: bug#25126: 26.0.50; Gnus reacts poorly to email flags being
 changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
 <87blv6fzad.fsf@HIDDEN> <jwblv590dw.fsf@HIDDEN>
 <8736ghitze.fsf@HIDDEN> <87lfu9nump.fsf@HIDDEN>
Date: Mon, 30 Sep 2019 07:49:39 +0200
In-Reply-To: <87lfu9nump.fsf@HIDDEN> (Eric Abrahamsen's message of
 "Fri, 27 Sep 2019 17:15:42 -0700")
Message-ID: <87ftkel4ek.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eric Abrahamsen <eric@HIDDEN> writes: > I won't
 keep on with this, but the gnus-mock package in ELPA will give > you a clean, 
 reproducible Gnus installation with a maildir server that > you can use for
 testing. I promise I'll shut up abou [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25126
Cc: Glenn Morris <rgm@HIDDEN>, 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eric Abrahamsen <eric@HIDDEN> writes:

> I won't keep on with this, but the gnus-mock package in ELPA will give
> you a clean, reproducible Gnus installation with a maildir server that
> you can use for testing. I promise I'll shut up about it after this :)

Thanks; haven't tried that yet...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 28 Sep 2019 00:15:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 20:15:51 2019
Received: from localhost ([127.0.0.1]:48844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iE0Ot-0001RN-F6
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 20:15:51 -0400
Received: from ericabrahamsen.net ([52.70.2.18]:52540
 helo=mail.ericabrahamsen.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eric@HIDDEN>) id 1iE0Or-0001R4-Lj
 for 25126 <at> debbugs.gnu.org; Fri, 27 Sep 2019 20:15:49 -0400
Received: from localhost (67-40-27-198.tukw.qwest.net [67.40.27.198])
 (Authenticated sender: eric@HIDDEN)
 by mail.ericabrahamsen.net (Postfix) with ESMTPSA id 14917FA027;
 Sat, 28 Sep 2019 00:15:43 +0000 (UTC)
From: Eric Abrahamsen <eric@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#25126: 26.0.50; Gnus reacts poorly to email flags being
 changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
 <87blv6fzad.fsf@HIDDEN> <jwblv590dw.fsf@HIDDEN>
 <8736ghitze.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 17:15:42 -0700
In-Reply-To: <8736ghitze.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 Sep 2019 18:28:37 +0200")
Message-ID: <87lfu9nump.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25126
Cc: Glenn Morris <rgm@HIDDEN>, 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Glenn Morris <rgm@HIDDEN> writes:
>
>> The example in the OP is about nnmaildir.
>>
>> I don't think the details are relevant, but it happens to be being
>> synced from imap by an external process. For example, a maildir file
>> might change name from "stuff:2,S" to "stuff:2,RS" if you reply to the
>> message via an imap client. Or it could have been moved to a different
>> folder, or deleted altogether. It's not obvious to me what Gnus could do
>> in this situation.
>
> Ah, thanks for the explanation.
>
>> I imagine you could reproduce it by visiting a Maildir with Gnus, then
>> renaming one of the files externally.
>
> I don't have any maildir dirs, which probably explains why all the
> nnmaildir bug reports are languishing.  Could you pack up a simple one
> and mail it to me as a tar file?

I won't keep on with this, but the gnus-mock package in ELPA will give
you a clean, reproducible Gnus installation with a maildir server that
you can use for testing. I promise I'll shut up about it after this :)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 27 Sep 2019 17:36:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 13:36:28 2019
Received: from localhost ([127.0.0.1]:48640 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDuAN-0003w3-NX
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 13:36:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1iDuAL-0003vh-LT
 for 25126 <at> debbugs.gnu.org; Fri, 27 Sep 2019 13:36:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45678)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1iDuAE-0004Ch-K7; Fri, 27 Sep 2019 13:36:20 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1iDuAD-0005zs-HS; Fri, 27 Sep 2019 13:36:17 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#25126: 26.0.50;
 Gnus reacts poorly to email flags being changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
 <87blv6fzad.fsf@HIDDEN> <jwblv590dw.fsf@HIDDEN>
 <8736ghitze.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 27 Sep 2019 13:36:17 -0400
In-Reply-To: <8736ghitze.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 Sep 2019 18:28:37 +0200")
Message-ID: <7xv9tdzlny.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25126
Cc: Daniel Colascione <dancol@HIDDEN>, 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen wrote:

> I don't have any maildir dirs, which probably explains why all the
> nnmaildir bug reports are languishing.  Could you pack up a simple one
> and mail it to me as a tar file?

I will send you my spam folder off-list, you lucky person.

BTW, if you have imap, you can have maildir fairly easily with eg

http://www.offlineimap.org
http://isync.sourceforge.net/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 27 Sep 2019 16:28:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 12:28:45 2019
Received: from localhost ([127.0.0.1]:48576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDt6q-0005aT-OR
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:28:44 -0400
Received: from quimby.gnus.org ([80.91.231.51]:35210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDt6o-0005aD-QX
 for 25126 <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:28:43 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDt6j-0003r1-OY; Fri, 27 Sep 2019 18:28:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#25126: 26.0.50; Gnus reacts poorly to email flags being
 changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
 <87blv6fzad.fsf@HIDDEN> <jwblv590dw.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 18:28:37 +0200
In-Reply-To: <jwblv590dw.fsf@HIDDEN> (Glenn Morris's message of
 "Fri, 27 Sep 2019 12:20:27 -0400")
Message-ID: <8736ghitze.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Glenn Morris <rgm@HIDDEN> writes: > The example in the OP
 is about nnmaildir. > > I don't think the details are relevant, but it happens
 to be being > synced from imap by an external process. For example, a maildir
 file > might change [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25126
Cc: Daniel Colascione <dancol@HIDDEN>, 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Glenn Morris <rgm@HIDDEN> writes:

> The example in the OP is about nnmaildir.
>
> I don't think the details are relevant, but it happens to be being
> synced from imap by an external process. For example, a maildir file
> might change name from "stuff:2,S" to "stuff:2,RS" if you reply to the
> message via an imap client. Or it could have been moved to a different
> folder, or deleted altogether. It's not obvious to me what Gnus could do
> in this situation.

Ah, thanks for the explanation.

> I imagine you could reproduce it by visiting a Maildir with Gnus, then
> renaming one of the files externally.

I don't have any maildir dirs, which probably explains why all the
nnmaildir bug reports are languishing.  Could you pack up a simple one
and mail it to me as a tar file?

> I imagine none of the Gnus backends (except imap) are prepared for files
> to be renamed by other processes while Gnus is running?

Hm...  it depends.  I mean, ideally a `g' should feed Gnus any changed
information, but it might require that the backend in question implement
the "extended" interface that nnimap uses.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 27 Sep 2019 16:20:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 27 12:20:43 2019
Received: from localhost ([127.0.0.1]:48543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDsz5-0005DI-5A
	for submit <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:20:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1iDsz3-0005D0-Ga
 for 25126 <at> debbugs.gnu.org; Fri, 27 Sep 2019 12:20:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44348)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1iDsyu-0001Ox-OX; Fri, 27 Sep 2019 12:20:34 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1iDsyq-0000fL-6W; Fri, 27 Sep 2019 12:20:28 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#25126: 26.0.50;
 Gnus reacts poorly to email flags being changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
 <87blv6fzad.fsf@HIDDEN>
X-Spook: Wildfire National preparedness president 9705 Samford
X-Ran: V=SUPD[?$61r89+SE\bNS4!CLQ`4ma?ALN<.o2-QRQ/Dj!!Y?sQOL9t62*1iD}]7}}=A="
X-Hue: brightwhite
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Fri, 27 Sep 2019 12:20:27 -0400
In-Reply-To: <87blv6fzad.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 27 Sep 2019 00:50:02 +0200")
Message-ID: <jwblv590dw.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 25126
Cc: Daniel Colascione <dancol@HIDDEN>, 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen wrote:

> So I have to ask again -- what Gnus backend is this about, and what are
> the error messages?

The example in the OP is about nnmaildir.

I don't think the details are relevant, but it happens to be being
synced from imap by an external process. For example, a maildir file
might change name from "stuff:2,S" to "stuff:2,RS" if you reply to the
message via an imap client. Or it could have been moved to a different
folder, or deleted altogether. It's not obvious to me what Gnus could do
in this situation.

I imagine you could reproduce it by visiting a Maildir with Gnus, then
renaming one of the files externally.

I imagine none of the Gnus backends (except imap) are prepared for files
to be renamed by other processes while Gnus is running?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 26 Sep 2019 22:50:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 26 18:50:14 2019
Received: from localhost ([127.0.0.1]:45525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iDcaS-0000rR-18
	for submit <at> debbugs.gnu.org; Thu, 26 Sep 2019 18:50:14 -0400
Received: from quimby.gnus.org ([80.91.231.51]:43432)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iDcaP-0000rE-Kk
 for 25126 <at> debbugs.gnu.org; Thu, 26 Sep 2019 18:50:10 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iDcaJ-0000kv-5e; Fri, 27 Sep 2019 00:50:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Colascione <dancol@HIDDEN>
Subject: Re: bug#25126: 26.0.50; Gnus reacts poorly to email flags being
 changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN> <877epduzvq.fsf@HIDDEN>
Date: Fri, 27 Sep 2019 00:50:02 +0200
In-Reply-To: <877epduzvq.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Thu, 12 Apr 2018 00:44:41 +0200")
Message-ID: <87blv6fzad.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Daniel
 Colascione
 <dancol@HIDDEN> writes: > >> I'm trying an email setup that involves
 pointing Gnus as a maildir tree >> and having mbsync run from cron and, well, 
 sync with an IMAP server. >> [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25126
Cc: 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Daniel Colascione <dancol@HIDDEN> writes:
>
>> I'm trying an email setup that involves pointing Gnus as a maildir tree
>> and having mbsync run from cron and, well, sync with an IMAP server.
>> Sometimes, if I open a mail group in Gnus, read a message, and before
>> leaving that mail group, go read that message on another client, the
>> cron job will change the message-file's flags behind Gnus's back,
>> causing Gnus to raise an error when I try to leave the group,
>> complaining that a message file it thought existed no longer exists
>> (because it's been renamed).
>>
>> Can Gnus cope better with other programs modifying messages concurrently?
>
> Just to clarify -- these problems are with nnmaildir and not nnimap?

And three days after that I renamed this bug to

retitle 25126 nndir reacts poorly to email flags being changed behind its back

which must be wrong.  I mean, it's either nnmaildir or nnimap.

So I have to ask again -- what Gnus backend is this about, and what are
the error messages?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.
Changed bug title to 'nndir reacts poorly to email flags being changed behind its back' from '26.0.50; Gnus reacts poorly to email flags being changed behind its back' Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25126 <at> debbugs.gnu.org:


Received: (at 25126) by debbugs.gnu.org; 11 Apr 2018 22:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 11 18:44:55 2018
Received: from localhost ([127.0.0.1]:46764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1f6OU1-0004Qv-6a
	for submit <at> debbugs.gnu.org; Wed, 11 Apr 2018 18:44:53 -0400
Received: from hermes.netfonds.no ([80.91.224.195]:51340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1f6OTy-0004Ql-SI
 for 25126 <at> debbugs.gnu.org; Wed, 11 Apr 2018 18:44:51 -0400
Received: from 46.67.12.60.tmi.telenormobil.no ([46.67.12.60] helo=corrigan)
 by hermes.netfonds.no with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.84_2) (envelope-from <larsi@HIDDEN>)
 id 1f6OTv-0006e8-LO; Thu, 12 Apr 2018 00:44:50 +0200
Received: from larsi by corrigan with local (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1f6OTp-0003Is-Rl; Thu, 12 Apr 2018 00:44:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Daniel Colascione <dancol@HIDDEN>
Subject: Re: bug#25126: 26.0.50;
 Gnus reacts poorly to email flags being changed behind its back
References: <r0254m2gizmp.fsf@HIDDEN>
Date: Thu, 12 Apr 2018 00:44:41 +0200
In-Reply-To: <r0254m2gizmp.fsf@HIDDEN> (Daniel Colascione's message of
 "Tue, 06 Dec 2016 12:14:22 -0800")
Message-ID: <877epduzvq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25126
Cc: 25126 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Daniel Colascione <dancol@HIDDEN> writes:

> I'm trying an email setup that involves pointing Gnus as a maildir tree
> and having mbsync run from cron and, well, sync with an IMAP server.
> Sometimes, if I open a mail group in Gnus, read a message, and before
> leaving that mail group, go read that message on another client, the
> cron job will change the message-file's flags behind Gnus's back,
> causing Gnus to raise an error when I try to leave the group,
> complaining that a message file it thought existed no longer exists
> (because it's been renamed).
>
> Can Gnus cope better with other programs modifying messages concurrently?

Just to clarify -- these problems are with nnmaildir and not nnimap?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Dec 2016 20:14:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 06 15:14:50 2016
Received: from localhost ([127.0.0.1]:58518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cEM8X-0001RO-J6
	for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 15:14:49 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59997)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1cEM8W-0001RC-5T
 for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 15:14:48 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dancol@HIDDEN>) id 1cEM8P-0000OE-J3
 for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 15:14:42 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:44626)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <dancol@HIDDEN>) id 1cEM8P-0000No-Fi
 for submit <at> debbugs.gnu.org; Tue, 06 Dec 2016 15:14:41 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50968)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <dancol@HIDDEN>) id 1cEM8N-0005NP-Ng
 for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2016 15:14:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <dancol@HIDDEN>) id 1cEM8K-0000LP-Hh
 for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2016 15:14:39 -0500
Received: from dancol.org ([96.126.100.184]:55220)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <dancol@HIDDEN>) id 1cEM8K-0000Jo-7p
 for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2016 15:14:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org;
 s=x; 
 h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
 bh=Kkfb3iQRxzh2l5TPot2+Q1LYHmcJYwEyWd95yY1saLI=; 
 b=d3L9H3h82mnfvzVTaBe7HN8VUa19TejPzcq+gNBN9HrBqyP9fyEn0Am6+pmctcZJBRF73ARbrFy4naFCcPSNy2/UKpOPu+kE+kOKk5XJUukTIPbqFth3nRXNXazq3VYXz8kiOR+OlJUiZHytEWIwjC5KkE5tZXVpbmzLhkzz3Qbgqg5eBe5H3HCnCHemRYBd9EaKkevYmNGcHr/0VorHk83592E3yT0nT/5l5rxjrPoWz11+zM97KLn21H/ybdomMWzFGmN1///C5bC5J++6kkmEPrKgWvRxhZ4vaoQ6IWtIgrBo42FA/xmsWfq7G9kNPO5bY/KiVj6NtKYNLSwp7w==;
Received: from [2620:0:1008:100b:e09d:7a70:930f:cf3f] (helo=dancol-glaptop0)
 by dancol.org with esmtpsa (TLS1.2:DHE_RSA_AES_128_CBC_SHA1:128)
 (Exim 4.84_2) (envelope-from <dancol@HIDDEN>) id 1cEM8C-0004sn-9D
 for bug-gnu-emacs@HIDDEN; Tue, 06 Dec 2016 12:14:28 -0800
From: Daniel Colascione <dancol@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50;
 Gnus reacts poorly to email flags being changed behind its back
Date: Tue, 06 Dec 2016 12:14:22 -0800
Message-ID: <r0254m2gizmp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)


I'm trying an email setup that involves pointing Gnus as a maildir tree
and having mbsync run from cron and, well, sync with an IMAP server.
Sometimes, if I open a mail group in Gnus, read a message, and before
leaving that mail group, go read that message on another client, the
cron job will change the message-file's flags behind Gnus's back,
causing Gnus to raise an error when I try to leave the group,
complaining that a message file it thought existed no longer exists
(because it's been renamed).

Can Gnus cope better with other programs modifying messages concurrently?


In GNU Emacs 26.0.50.12 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2016-11-08 built on REDACTED
Repository revision: 06cfaa3dfa1888b55df437a16ced6f718678bc56
Windowing system distributor 'The X.Org Foundation', version 11.0.11702000
System Description:	Ubuntu 14.04.5 LTS

Recent messages:
gnus-group-read-group: No group on current line
Running mbsync to fetch news...
mbsync succeeded in 9.972675 seconds
Checking new news...
Reading active file via nnnil...done
nnimap read 0k from dancol.org
Reading active file from archive via nnfolder...done
Reading active file via nndraft...done
Checking new news...done
nnimap read 0k from dancol.org

Configured using:
 'configure --with-x-toolkit=gtk3 --without-toolkit-scroll-bars
 --with-modules --with-dbus 'CFLAGS=-O2 -march=native -g3 -flto'
 RANLIB=gcc-ranlib AR=gcc-ar'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GCONF GSETTINGS NOTIFY LIBSELINUX
GNUTLS LIBXML2 FREETYPE XFT ZLIB GTK3 X11 MODULES

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  hl-line-mode: t
  gnus-undo-mode: t
  save-place-mode: t
  which-function-mode: t
  winner-mode: t
  savehist-mode: t
  show-paren-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  iswitchb-mode: t
  global-subword-mode: t
  subword-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Load-path shadows:
~/emacs/override/iswitchb hides /home/dancol/edev/trunk/lisp/obsolete/iswitchb
/home/dancol/edev/trunk/lisp/linum hides ~/emacs/misc/linum
/home/dancol/edev/trunk/lisp/textmodes/css-mode hides ~/emacs/misc/css-mode
~/emacs/override/autoloads hides ~/emacs/misc/autoloads
~/emacs/override/autoloads hides ~/emacs/s/autoloads
~/emacs/override/autoloads hides ~/emacs/pcre2el/autoloads
~/emacs/override/autoloads hides ~/emacs/ws-butler/autoloads
~/emacs/override/autoloads hides ~/emacs/logcat/autoloads
~/emacs/override/autoloads hides ~/emacs/gnuplot/autoloads
~/emacs/override/autoloads hides ~/emacs/go-mode/autoloads
~/emacs/override/autoloads hides ~/emacs/groovy-emacs-modes/autoloads
~/emacs/override/autoloads hides ~/emacs/gnus-alias/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/ack/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/company/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/nlinum/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/num3-mode/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/register-list/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/temp-buffer-browse/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/undo-tree/autoloads
~/emacs/override/autoloads hides ~/emacs/elpa-used/yasnippet/autoloads

Features:
(shadow flyspell ispell emacsbug sendmail shr-color color gnus-cite
smiley ansi-color url-util url-parse url-vars qp shr svg xml dom
browse-url mm-archive mail-extr gnus-bcklg sort gnus-ml disp-table
hl-line nndraft nnmh nnmaildir utf-7 network-stream nsm auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs starttls nnfolder nnnil
gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-cache
gnus-demon gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig
mailcap gnus-alias advice gnus-async nntp gnus-sum gnus-group gnus-undo
gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc
nnoo parse-time gnus-spec gnus-int gnus-range message puny seq byte-opt
bytecomp byte-compile cl-extra help-mode cconv dired dired-loaddefs
format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader gnus-win gnus nnheader subr-x gnus-util rmail rmail-loaddefs
rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr autoloads
dabbrev saveplace which-func imenu server temp-buffer-browse winner ring
savehist paren hi-lock iswitchb bar-cursor uptime env-shell-command
cap-words superword subword gv time-date mule-util cus-edit easymenu
cus-start cus-load wid-edit cl-loaddefs pcase cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev obarray minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty make-network-process emacs)

Memory information:
((conses 16 721145 128352)
 (symbols 48 153426 193)
 (miscs 40 650 1698)
 (strings 32 421493 44995)
 (string-bytes 1 41518202)
 (vectors 16 148737)
 (vector-slots 8 1630936 87147)
 (floats 8 644 1631)
 (intervals 56 1822 775)
 (buffers 976 48)
 (heap 1024 134554 8463))




Acknowledgement sent to Daniel Colascione <dancol@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25126; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.